#
# Conditional build:
%bcond_with	lua		# build without tests

Summary:	Alpine Package Keeper - package manager for alpine
Name:		apk-tools
Version:	2.10.5
Release:	1
License:	GPL v2
Group:		Base
Source0:	https://dev.alpinelinux.org/archive/apk-tools/%{name}-%{version}.tar.xz
# Source0-md5:	6ae9263da44456776ff4836ad5b4c571
Patch0:		no-Werror.patch
URL:		https://git.alpinelinux.org/apk-tools/
%{?with_lua:BuildRequires:	lua52-devel}
BuildRequires:	openssl-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir /sbin

%description
Package manager for Alpine Linux.

%package lua
Summary:	Lua module for apk-tools
Group:		Base

%description lua
Lua module for apk-tools.

%prep
%setup -q
%patch0 -p1

%build
generate_config() {
cat <<-EOF
	FULL_VERSION=%{version}-%{release}
	LUAAPK=%{?with_lua:YesPlease}
	export LUAAPK
EOF
}
generate_config > config.mk
%{__make} \
	V=1 \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	V=1 \
	CFLAGS="%{rpmcflags}" \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/apk/{keys,protected_paths.d}

# empty file
%{__rm} $RPM_BUILD_ROOT%{_docdir}/apk/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/apk
%dir %{_sysconfdir}/apk/keys
%dir %{_sysconfdir}/apk/protected_paths.d
%attr(755,root,root) %{_sbindir}/apk

%if %{with lua}
%files lua
%defattr(644,root,root,755)
# XXX: parent dir not packaged
%{_prefix}/lib/lua/5.2/apk.so
%endif
%changelog
* Wed Oct 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apk-tools.git;a=log;h=master

* Wed Oct 20 2021 Jan Rękorajski <baggins@pld-linux.org> aadc9d7
- up to 2.10.5
- don't use -Werror when using deprecated openssl APIs
- the Makefiles are utterly broken and rebuild everything on install :(

* Sun May 26 2019 Elan Ruusamäe <glen@pld-linux.org> bde3a36
- package /etc/apk/{keys,protected_paths.d} dirs

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> a0023d2
- release 2 (by relup.sh)

* Thu Feb 07 2019 Elan Ruusamäe <glen@pld-linux.org> 5801949
- up to 2.10.3

* Sun Nov 04 2018 Elan Ruusamäe <glen@pld-linux.org> b706193
- BR lua is conditional

* Sun Nov 04 2018 Elan Ruusamäe <glen@pld-linux.org> eccca29
- add lua subpackage

* Sun Nov 04 2018 Elan Ruusamäe <glen@pld-linux.org> 9f45253
- new, version 2.10.1

